/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_TEST_RC_PRIV.h

Copyright (c) 2016 Octasic Inc. All rights reserved.

Description: Contains the return codes for the TEST API.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program;if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


Release: OCTSDR Software Development Kit OCTSDR_GSM-02.05.00-B780 (2016/01/14)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef OCTVC1_TEST_RC_PRIV_H__
#define OCTVC1_TEST_RC_PRIV_H__


/*****************************  INCLUDE FILES  *******************************/
#include "octvc1_test_rc.h"
#include "octvc1_test_base.h"

/****************************************************************************
	TEST return codes
 ****************************************************************************/
#define cOCTVC1_TEST_RC_OBJECT_INVALID						 ( 0x0001 + cOCTVC1_TEST_RC_BASE )

#endif /* OCTVC1_TEST_RC_PRIV_H__ */

